Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 20 Feb 2007 11:57:19 +1100
From:      Brad Kowalczyk <brad@ibiscode.com>
To:        Kris Kennaway <kris@obsecurity.org>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: make in ports not working
Message-ID:  <45DA476F.1080809@ibiscode.com>
In-Reply-To: <20070220004508.GA44929@xor.obsecurity.org>
References:  <45DA37CB.7090905@ibiscode.com> <20070220004508.GA44929@xor.obsecurity.org>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
Kris Kennaway wrote:
> On Tue, Feb 20, 2007 at 10:50:35AM +1100, Brad Kowalczyk wrote:
> 
>>Hi
>>
>>I get the following error when trying to make from the ports tree:
>>
>>"/usr/ports/Mk/bsd.port.mk", line 2292: warning: String comparison 
>>operator should be either == or !=
>>"/usr/ports/Mk/bsd.port.mk", line 2292: warning: String comparison 
>>operator should be either == or !=
>>"/usr/ports/Mk/bsd.port.mk", line 2292: Malformed conditional 
>>(((${OSVERSION} < 504105 || (${OSVERSION} >= 600000 && ${OSVERSION} < 
>>600103) || (${OSVERSION} >= 700000 && ${OSVERSION} < 700012)) && 
>>${PKGORIGIN} != "ports-mgmt/pkg_install") || 
>>exists(${LOCALBASE}/sbin/pkg_info))
>>"/usr/ports/Mk/bsd.port.mk", line 2293: warning: String comparison 
>>operator should be either == or !=
>>"/usr/ports/Mk/bsd.port.mk", line 2293: warning: String comparison 
>>operator should be either == or !=
>>"/usr/ports/Mk/bsd.port.mk", line 2293: Malformed conditional 
>>((${OSVERSION} < 504105 || (${OSVERSION} >= 600000 && ${OSVERSION} < 
>>600103) || (${OSVERSION} >= 700000 && ${OSVERSION} < 700012)) && 
>>${PKGORIGIN} != "ports-mgmt/pkg_install")
>>"/usr/ports/Mk/bsd.port.mk", line 2308: if-less else
>>"/usr/ports/Mk/bsd.port.mk", line 2308: Need an operator
>>"/usr/ports/Mk/bsd.port.mk", line 2322: if-less endif
>>"/usr/ports/Mk/bsd.port.mk", line 2322: Need an operator
>>"/usr/ports/Mk/bsd.port.mk", line 5987: if-less endif
>>"/usr/ports/Mk/bsd.port.mk", line 5987: Need an operator
>>make: fatal errors encountered -- cannot continue
>>
>>Any help appreciated
>>
>>Also I am not subscribed to the list so reply-all.
> 
> 
> You forgot to mention which version of FreeBSD you're running, but
> it's probably an ancient one that is no longer supported.
> 
> Kris
> 
> 

yup ok its an ancient one:
su-2.05a# uname -v
FreeBSD 4.8-RELEASE : Tue Apr  8 11:35:48 GMT 2003

I am stuck with it (its a virtual server) so is there any way i can get 
ports working? I just love 'portinstall xyz'!

Cheers,

Brad



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?45DA476F.1080809>